Anonymous Login
2022-12-06 05:31 PST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000128v1.0 Release (Closed)[All Projects] Generalpublic2009-06-07 19:35
Reporterdmarmga 
Assigned Tocaseydk 
PriorityimmediateSeveritycrashReproducibilityunable to reproduce
StatusclosedResolutionunable to reproduce 
Product Version 
Target VersionFixed in Version 
Summary0000128: PHP crash on clicking "Task List" button under "My Tasks To Do"
DescriptionPHP Warning: Invalid argument supplied for foreach() in C:\inetpub\wwwroot\Web2Project\modules\tasks\tasks.php on line 325

Reproduction
1) Create a test project with some task
2) Create a test user
3) Grant contractor role to test user
4) Grant all view - access permissions on Projects to the user on the project in step 1
5) Grant access permissons to tasks to the test user
6) Assign the user to a least one task
NOTE: you have to use the project designer as the "New Task" feature will not display the test user
7) Logon as the test user
8) Click the "TODO" button
9) Click the "Tasks List" button
10) Crash.
TagsNo tags attached.
Attached Files

-Relationships
related to 0000127closedcaseydk Inconsistent security behavior with projects / task assignment 
child of 0000134closedcaseydk Potential dotProject Conversion Issues 
+Relationships

-Notes

~0000208

caseydk (administrator)

I've tried to reproduce this one without any luck. As soon as you create a User that has a Role, they should be able to log in and appear in all of the assignment lists... so I'm seeing the User in my Assignee box Task Edit. After I log in as that User (different browser), I'm not seeing any errors after following the path you specify.

I did add a check (r374) to make sure the foreach is actually used on an array but that will just prevent the crash, it doesn't resolve the actual problem.

Without a snapshot of your database to see this issue, I'm going to have to close it.

~0000226

dmarmga (reporter)

Let me know the best method for providing a current snapshot of my databae. I will get it .ZIP'd for you.

~0000233

caseydk (administrator)

Please email it: keith@caseysoftware with a dot com at the end.

~0000236

cor3huis (reporter)

Just for developers, I cannot reproduce the defect. I'm not stating that there can not be a defect, it just does not happen for me.

~0000244

caseydk (administrator)

Although I can't reproduce this issue, the fix applied to 0000127 should prevent this set of conditions from existing. A User now cannot be assigned to the Task unless they currently have permission to View it.


Unless further information becomes available to reproduce it or someone else can, I'm going to close this as "unable to reproduce" on or around 11 May 2009.

~0000275

caseydk (administrator)

Closed as unable to reproduce.
+Notes

-Issue History
Date Modified Username Field Change
2009-04-06 19:10 dmarmga New Issue
2009-04-12 20:37 caseydk Note Added: 0000208
2009-04-12 20:37 caseydk Status new => feedback
2009-04-12 20:41 caseydk Relationship added child of 0000134
2009-04-19 20:03 dmarmga Note Added: 0000226
2009-04-26 19:45 caseydk Note Added: 0000233
2009-04-27 02:01 cor3huis Note Added: 0000236
2009-04-27 21:49 caseydk Relationship added related to 0000127
2009-04-27 21:53 caseydk Note Added: 0000244
2009-04-27 22:32 caseydk Priority normal => immediate
2009-04-27 22:32 caseydk Reproducibility always => unable to reproduce
2009-05-10 15:27 caseydk Status feedback => resolved
2009-05-10 15:27 caseydk Resolution open => unable to reproduce
2009-05-10 15:27 caseydk Assigned To => caseydk
2009-05-10 15:27 caseydk Note Added: 0000275
2009-06-07 19:35 caseydk Status resolved => closed
+Issue History